###############################################################################
#
#       Function to check whether gettimeofday() exists, and how to call it.
#	This may define HAVE_GETTIMEOFDAY and GETTIMEOFDAY_TWO_ARGS.
#
###############################################################################

AC_DEFUN([AC_GETTIMEOFDAY_ARGS],
 [AC_MSG_CHECKING([how to call gettimeofday])
  AC_CACHE_VAL([ac_cv_gettimeofday_args],
   [AC_TRY_COMPILE([#include <stdlib.h>
                    #include <sys/time.h>],
                   [struct timeval tv; struct timezone tzp;
                    gettimeofday(&tv, &tzp);],
                   [ac_gettimeofday_args=2],
                   [AC_TRY_COMPILE([#include <stdlib.h>
                                    #include <sys/time.h>],
                                   [struct timeval tv; gettimeofday(&tv);],
                                   [ac_gettimeofday_args=1],
                                   [ac_gettimeofday_args=0])])
    ac_cv_gettimeofday_args=$ac_gettimeofday_args])
   ac_gettimeofday_args=$ac_cv_gettimeofday_args
   AS_IF([test "$ac_gettimeofday_args" -gt 0],
     [AC_DEFINE([HAVE_GETTIMEOFDAY],,dnl
        [Define this if you have the gettimeofday function.])
      AS_IF([test "$ac_gettimeofday_args" = 2],
        [AC_DEFINE([GETTIMEOFDAY_TWO_ARGS],[1],dnl
           [Define this if gettimeofday() takes two arguments.])
         AC_MSG_RESULT([two arguments])],
        [AC_MSG_RESULT([one argument])])],
     [AC_MSG_RESULT([unknown])])])
